gr::hpsdr::hermesWB_impl Class Reference

`#include <hermesWB_impl.h>`

Inheritance diagram for gr::hpsdr::hermesWB_impl:

## Public Member Functions

| hermesWB_impl (int RxPre, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, const char *MACAddr)
| Construct a HermesWB module.
| ~hermesWB_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
Public Member Functions inherited from gr::hpsdr::hermesWB
void | set_RxPreamp (int)
void | set_ClockSource (const char *)
void | set_AlexRxAntenna (int)
void | set_AlexTxAntenna (int)
void | set_AlexRxHPF (int)
void | set_AlexTxLPF (int)
bool | stop ()
bool | start ()

## Additional Inherited Members

Public Types inherited from gr::hpsdr::hermesWB
typedef std::shared_ptr< hermesWB > | sptr
Static Public Member Functions inherited from gr::hpsdr::hermesWB
static sptr | make (int RxPre, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, const char *MACAddr)
| Return a shared_ptr to a new instance of hpsdr::hermesWB.

## Constructor & Destructor Documentation

## hermesWB_impl()

gr::hpsdr::hermesWB_impl::hermesWB_impl | ( | int | RxPre,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexLPF,
|  | const char * | MACAddr
| ) |  |

Construct a HermesWB module.

Parameters

  RxPre | Rx Preamp on (1) / off (0)
  Intfc | Ethernet interface to use
  ClkS | HPSDR Clock Source (register C1 when C0 = 0x00)
  AlexRA | HPSDR Alex Rx Ant Selector
  AlexTA | HPSDR Alex Tx Ant Selector
  AlexHPF | HPSDR Alex Rx High Pass Filter Selector
  AlexLPF | HPSDR Alex Tx Low Pass Filter Selector

## ~hermesWB_impl()

gr::hpsdr::hermesWB_impl::~hermesWB_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::hpsdr::hermesWB_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::hpsdr::hermesWB_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- hermesWB_impl.h